#!/usr/bin/perl -w

################################################################################
# Name:        Publish.cgi
# Version:     1.1
# Author:      Reinhard E. Voglmaier
#              GlaxoWellcome
#              rv33100@GlaxoWellcome.co.uk
# Date:        12.04.2000
# Description: CGI-scripts to request Web Site Publishing
# Copyright:   GPL
################################################################################

require "adminDB.pm" ;
use CGI ;

my $UID_Publisher=$ENV{'REMOTE_USER'} || "Not defined" ;

# Create CGI Object

$query = new CGI ;
print $query->header() ;
print $query->start_html(-title=>'Web Page Publishing',
                         -onLoad=>'InitForm()',
                         -script=>{ -language => 'JavaScript',
                                    -src=>'./Publish.js' },
                         -author=>'apache@itweb0.italy.glaxo');

&open_databases();
&ReadData($UID_Publisher) ;
($Publisher,$Role) = &getUserInfo($UID_Publisher) ;
&close_databases();

print $query->start_multipart_form(-name=>'Gestione',
                                   -target=>'ProdWindow',
                                   -onSubmit=>'PutInProd.cgi'
                                   );



print "<P>" ;
print "<CENTER><H1>Gestione Web Pages </H1></CENTER>" ;
print "<P>" ;
print $query->hr ;

print("<TABLE>");
print("<TR>");
#-------------------------------------------------#
print("<TD>");
      print "<TABLE>" ;
      print "<TR>" ;
      print "<TD>" ;
      print $query->scrolling_list(-name=>   'PathNames',
                                   -values=> ['DUMMYDUMMYDUMMYDUMMYDUMMYDUMMYDUMMYDUMMY'],
                                   -onChange=> 'ShowProperties(PathNames)',
                                   -size=>   10 ) ;
      print("</TD>");
      print("</TR>");
      print("</TABLE>");
print("</TD>");
print "<TD>" ;
      print "<TABLE>" ;

      print "<TR>" ;
      print "<TD>" ;
      print "Tipo" ;
      print "</TD>" ;
      print "<TD>" ;
      print $query->textfield(-name=>'Type',
                              -value=>'',
                              -size=>10,
                              -maxlength=>10,
                              );
      print("</TD>");
      print("</TR>");

      print "<TR>" ;
      print "<TD>" ;
      print "Copiato il:" ;
      print "</TD>" ;
      print "<TD>" ;
      print $query->textfield(-name=>'LastModified',
                              -value=>'',
                              -size=>24,
                              -maxlength=>30,
                              -override=>1
                              );
      print("</TD>");
      print("</TR>");
      print "<TR>" ;
      print "<TD>" ;
      print "da:" ;
      print("</TD>");
      print "<TD>" ;
      print $query->textfield(-name=>'ModifiedById',
                              -value=>'',
                              -size=>10,
                              -maxlength=>100,
                              -override=>1
                              );
      print("</TD>");
      print("</TR>");
      print "<TR>" ;
      print "<TD>&nbsp;</TD>";
      print "<TD>" ;
      print $query->textfield(-name=>'ModifiedByName',
                              -value=>'',
                              -size=>24,
                              -maxlength=>100,
                              -override=>1
                              );
      print("</TD>");
      print("</TR>");
      print("</TABLE>");
print "</TD>" ;
#-------------------------------------------------#
print("</TR>");
print("</TABLE>");


print "<BR>" ;
print "<P>" ;




print "<PRE>" ;
print "UID_Publisher       :   $UID_Publisher<BR>" ;
print "                    :   $Publisher<BR>" ;
print $query->hidden(-name=>'UID_Publisher',
                     -default=>$UID_Publisher);
print $query->hidden(-name=>'Publisher',
                     -default=>$Publisher);
print $query->hidden(-name=>'SelectedDirectory',
                     -override=>1
                    );
print "</PRE>" ;
print "<P>" ;
print "<CENTER>";
print $query->button(-name=>'CheckIn',
                     -value=>'Metti in Produzione',
                     -onclick=>'PutInProd();'
                    );
if ( $Role ) {
print $query->button(-name=>'Admin',
                     -value=>'Publisher Administration',
                     -onclick=>'AdminP();'
                    );
}

                     
print "</CENTER>";
print $query->endform ;

print $query->end_html();











sub Message() {
    # Opens a JavaScript Window with the $Message Message
    my $Message = shift ;
    print <<EndOfMessage;
    <SCRIPT Language="JavaScript1.1">
    alert("$Message");
    // End Of JavaScript
    </Script>
EndOfMessage
}



sub JS_Open() {
    print "<SCRIPT LANGUAGE='JavaScript'> " ;
}


sub JS_Close() {
    print "</SCRIPT>" ;
}


sub ReadData() {
    my ( $UserId ) = @_ ;
    my $Dir ;

    my @Dirs = getAccessEntry($UserId) ;

    # Generate JavaScript
    &JS_Open() ;
    printf("function InitForm() { \n");
    printf("InitDirList();\n" );

    
    foreach $Dir ( @Dirs ) {
        my ($Type,$Date,$UserId) = &getDirEntry($Dir) ;
        printf("AddEntry('%s','%s','%s','%s','%s');\n", $Dir,$Type,$Date,$UserId,&getUserName($UserId) ) ;
    }
    printf("}\n") ;

    &JS_Close();
}
